## org.hornetq.rest.topic
Class TopicDeployment

    java.lang.Object
      org.hornetq.rest.queue.DestinationSettings
          org.hornetq.rest.topic.TopicDeployment

    public class TopicDeployment

extends DestinationSettings

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.hornetq.rest.queue.DestinationSettings
`defaultSettings, duplicatesAllowed`

Constructor Summary
`TopicDeployment()`
`TopicDeployment(java.lang.String name, boolean duplicatesAllowed)`

Method Summary
`java.lang.String` `getName()`
`void` `setName(java.lang.String name)`

Methods inherited from class org.hornetq.rest.queue.DestinationSettings
`getConsumerSessionTimeoutSeconds, isDuplicatesAllowed, isDurableSend, setConsumerSessionTimeoutSeconds, setDuplicatesAllowed, setDurableSend`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopicDeployment

    public TopicDeployment()

### TopicDeployment

    public TopicDeployment(java.lang.String name,
                           boolean duplicatesAllowed)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

Copyright © 2013. All Rights Reserved.